* {
  margin: 0;
  padding: 0;
}

html {
  width: 100%;
}

body {
  overflow-x: hidden;
}

header {
  background: #ededed;
  height: 100vh;
  width: 100vw;
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: 5px;
  box-sizing: border-box;
}

section {
  width: 100vw;
  box-sizing: border-box;
}

card {
  background: #0a0a33;
  background: url('v.svg#svgView(preserveAspectRatio(none))');
  background-size: 100% 100%;
  background-repeat: no-repeat;
  
  height: 80%;
  width: 70%;
  border: solid 3px #3ee8b4;
  border-radius: 20px;
  color: #ededed;
  display: flex;
  box-shadow: 4px 5px 7px rgba(0, 0, 0, 0.219);
  justify-content: space-around;
  flex-direction: column;
}

info h1 {
  display: block;
  font-family: 'Cutive Mono', monospace;
  color: #0a0a33;
  font-weight: bold;
}

info {
  display: flex;
  flex-direction: column;
}

info h2 {
  font-family: 'Ibarra Real Nova', serif;
  font-style: italic;
}

arrow {
  color: #3ee8b4;
  font-size: 1.2em;
  font-style: normal;
}

card h1 {
  font-size: 8vw;
  height: fit-content;
  text-align: center;
  font-family: 'Bebas Neue', cursive;
  /*
  border-bottom: double 6px #3ee8b4;
  height: fit-content;
  */
}

#tagline {
  background: #3ee8b4;
  color: #0a0a33;
  text-align: center;
  font-family: 'Bebas Neue', cursive;
}

resume {
  margin: 0 auto;
  font-family: 'Cutive Mono', monospace;
  
}

resume a {
  text-decoration: none;
}

resume img, social img {
  vertical-align: middle;
}

#contactline {
  font-family: 'Cutive Mono', monospace;
  text-align: center;
  padding: 10px;
}

social {
  display: flex;
  justify-content: center;
  flex-direction: column;
  font-family: 'Cutive Mono', monospace;
  align-items: left;
  margin: 0 auto;
  gap: 8px;
}

social p {
  text-align: center;
}

social links div {
  display: flex;
  justify-content: center;
  gap: 4px;
  /* width: fit-content; */
}

social img, resume img {
  height: 4vh;
  width: 4vh;
  filter:  brightness(0) invert(1);
}

social img {
  margin-right: 4px;
}

social links {
  display: flex;
  justify-content: center;
  gap: 30px;
  margin-top: 20px;
}

#email {
  font-style: italic;
  text-decoration: underline;
  underline-color: #3ee8b4;
}

basic {
  display: flex;
  flex-direction: column;
}

skills {
  display: flex;
  justify-content: center;
  gap: 10px;
}

skills img {
  width: 5vw;
}

/*
#ededed - Creamish White
#0a0a33 - Dark Blue
#3ee8b4 - Mint
*/

#portTitle, #contTitle {
  color: #ededed;
  font-family: 'Bebas Neue', cursive;
  font-size: 20vw;
  display: block;
  flex-basis: 100vw;
  z-index: 9999999;
}

#portTitle canvas {
  overflow-y: hidden;
}

#portfolio {
  width: 100vw;
  box-sizing: border-box;
  margin: 0;
  padding: 20px;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  background: rgb(235,235,235);
  overflow: hidden;
  background: #0a0a33;
}

span a, p a, a span {
  color: white;
  text-decoration: none;
  border-bottom: solid 2px #3ee8b4;
}

p a {
  color: black;
}

#tab1, #tab2, #tab3, #tab4 {
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  overflow-x: hidden;
  gap: 20px;
  align-items:stretch;

}

#tabs, #portfolio #content {
  z-index: 9999999999;
}

.project {
  display: flex;
  flex-direction: column;
  height: auto;
  border-radius: 15px;
  padding: 10px;
  background: white;
  transition: box-shadow 0.2s;
  flex: 1 0 25%;
  box-shadow: 6px 6px 4px rgba(0, 0, 0, 0.123);
  border: double 1px #a8a8a8;
  position: relative;
  overflow-x: hidden;
}

.project:hover {
  box-shadow: 6px 6px 4px rgba(0, 0, 0, 0.2);
  transition: all 0.2s ease-in-out;
}

.project h2 a {
  font-family: "Oswald", sans-serif;
  color: black;
  text-decoration: none;
  border-bottom: solid 2px #0a0a33;
  line-height: 1.5em;
}

.project p {
  margin-top: 10px;
  font-family: 'Courier New', Courier, monospace;
}

a:hover, .project h2 a:hover, a span:hover {
  border-bottom-width: 5px;
  cursor: pointer;
}

.project img {
  height: 15vh;
  width: calc(100% + 20px);
  object-fit: cover;
  margin: -10px;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
}

.project .content {
  position: relative;
  margin-top: 20px;
}

@media all and (max-width: 640px) {
  header {
    flex-flow: column wrap;  
  }

  social {
    scale: 0.7;
    margin: 0 auto;
    width: inherit;
  }

  #arrCard {
    display: none;
  }

  header {
    height: 100vh;
  }

  card {
    box-sizing: border-box;
    width: 90%;
    height: 70%;
  }

  .project {
    flex: 100%;
    height: auto;
    overflow: hidden;
    padding-bottom: 20px;
  }

  /* #tab2, #tab3, #tab4 {
    overflow-x: scroll;
  } */
  
}

#tabs {
  overflow-x: auto;
  overflow-y: hidden;
  display: flex;
  overflow-anchor: none;
  width: 100%;
  height: 38px !important;
  margin: 0;
  padding: 0;
  list-style: none;
  font-family: 'Cutive Mono', monospace;
}

#tabs li {
  /* display: inline !important; */
  /* float: left;
  margin: 0 .5em 0 0; */
}

#tabs a {
  position: relative;
  background: #f2e1c3;
  padding: .7em 3.5em;
  float: left;
  text-decoration: none;
  color: #444;
  text-shadow: 0 1px 0 rgba(255,255,255,.8);
  border-radius: 5px 0 0 0;
  box-shadow: 0 2px 2px rgba(0,0,0,.4);
}

#tabs a:hover,
#tabs a:hover::after,
#tabs a:focus,
#tabs a:focus::after {
  background: #f2e1c3;
  font-weight: bold;
}

#tabs a:focus {
  outline: 0;
}

#tabs a::after {
  content:'';
  position:absolute;
  z-index: 1;
  top: 0;
  right: -.5em;
  bottom: 0;
  width: 1em;
  background: #f2e1c3;
  box-shadow: 2px 2px 2px rgba(0,0,0,.4);
  transform: skew(10deg);
  border-radius: 0 5px 0 0;
}

#tabs #current a, #tabs #current a::after {
  background: #f2e1c3;
  z-index: 3;
  font-weight: bold;
}

#content {
  background: white;
  border: solid 30px #f2e1c3;
  padding: 2em;
  position: relative;
  z-index: 2;
  border-radius: 0 5px 5px 5px;
  box-shadow: 0 -2px 3px -2px rgba(0, 0, 0, .5);
}

#contact {
  /* box-sizing: border-box; */
  height: 100vh;
  /* padding: 20px; */
}

#contCanvas {
  position: absolute;
  width: 100vw;
}

#contCont {
  position: absolute;
  width: 100%;
  height: 100%;
}

#contTitle {
  color: #0a0a33;
  padding-left: 20px;
}

form {
  text-align: center;
  font-family: 'Cutive Mono', monospace;
  border: solid 3px #3ee8b4;
  display: flex;
  flex-wrap: wrap;
  align-self: center;
  box-sizing: border-box;
  padding: 20px;
  border-radius: 15px;
  width: 85%;
  margin: 0 auto;
  height: 60%;
  position: relative;
  bottom: 5%;
  margin-bottom: 10px;
}

form input, textarea {
  background: #0A0A33;
  color: #EDE;
  border: solid 2px #ffffff;
  font-family: 'Cutive Mono', monospace;
  font-size: 2vw;
  box-sizing: border-box;
  border-radius: 10px;
}

form input {
  height: 20%;
  width: 49%;
  padding: 10px;
}

form input:nth-child(1) {
  margin-right: 2%;
}

form textarea {
  width: 450px;
  flex-basis: 100%;
  padding: 10px;
  height: 50%;
}

form input::placeholder, form textarea::placeholder {
  opacity: 0.9;
  color: white;
}

/* From uiverse.io by @adamgiebl */
form button {
 font-family: inherit;
 font-size: 20px;
 background: #0A0A33;
 color: #3ee8b4;
 padding: 0.7em 1em;
 padding-left: 0.9em;
 display: flex;
 align-items: center;
 border: solid 1px #3ee8b4;
 border-radius: 10px;
 overflow: hidden;
 transition: all 0.2s;
  height: 20%;
}

form button span {
 display: block;
 margin-left: 0.3em;
 transition: all 0.3s ease-in-out;
}

form button svg {
 display: block;
 transform-origin: center center;
 transition: transform 0.3s ease-in-out;
}

form button:hover .svg-wrapper {
 animation: fly-1 0.6s ease-in-out infinite alternate;
}

form button:hover svg {
 transform: translateX(1.2em) rotate(45deg) scale(1.1);
}

form button:hover span {
 transform: translateX(5em);
}

form button:active {
 transform: scale(0.95);
}

@keyframes fly-1 {
 from {
  transform: translateY(0.1em);
 }

 to {
  transform: translateY(-0.1em);
 }
}


/* Firefox */
* {
  scrollbar-width: thin;
  scrollbar-color: #0A0A33 #EDEDED;
}

/* Chrome, Edge and Safari */
::-webkit-scrollbar {
  width: 10px;
}
::-webkit-scrollbar-track {
  border-radius: 5px;
  background-color: #EDEDED;
}

::-webkit-scrollbar-track:hover {
  background-color: #F6F6F6;
}

::-webkit-scrollbar-track:active {
  background-color: #EDEDED;
}

::-webkit-scrollbar-thumb {
  border-radius: 5px;
  background-color: #0A0A33;
  border: 1px solid #EDEDED;
}

::-webkit-scrollbar-thumb:hover {
  background-color: #111159;
}

::-webkit-scrollbar-thumb:active {
  background-color: #171774;
}